## org.biojava.utils
Class CommitFailure

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.CommitFailure

All Implemented Interfaces:
  Serializable

    public class CommitFailure

extends Exception

See Also:
  Serialized Form

Constructor Summary
`CommitFailure(String message)`
`CommitFailure(String message, Throwable cause)`
`CommitFailure(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommitFailure

    public CommitFailure(String message)

### CommitFailure

    public CommitFailure(Throwable cause)

### CommitFailure

    public CommitFailure(String message,
                         Throwable cause)